---
lang: en
title: 'API docs: repository.anytype'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.anytype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [AnyType](./repository.anytype.md)

## AnyType class

Any type

<b>Signature:</b>

```typescript
export declare class AnyType implements Type<any> 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./repository.anytype.name.md) |  | <code></code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [coerce(value)](./repository.anytype.coerce.md) |  |  |
|  [defaultValue()](./repository.anytype.defaultvalue.md) |  |  |
|  [isCoercible(value)](./repository.anytype.iscoercible.md) |  |  |
|  [isInstance(value)](./repository.anytype.isinstance.md) |  |  |
|  [serialize(value)](./repository.anytype.serialize.md) |  |  |


